LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-12-2002, 01:21 AM   #1
AldebaranDanu
LQ Newbie
 
Registered: Nov 2002
Distribution: Red Hat 8.0
Posts: 15

Rep: Reputation: 0
Needing Help Upgrading RPM: fam


Hello.
When I issue the following command:
rpm -qa | grep fam
I am told that I have the following version:
fam-2.6.8-4

Some software that I'm trying to install (KSpace) requires libfam and libfam-devel to be installed prior to compiling.

So I checked for those:
rpm -qa | grep libfam
And there was nothing.

So, I went to speakeasy.rpmfind.net and found that the only version of those I can download is 2.6.9-3. When I try installing those I'm told that I need fam = 2.6.9-3.

So, I figured I could just upgrade my version of fam. So I downloaded version 2.6.9-3 and typed in the following command:
rpm -U fam-2.6.9-3.i386.rpm
And I get the following response:
warning: fam-2.6.9-3.i386.rpm: V3 DSA signature: NOKEY, key ID f9651d5a
error: Failed dependencies:
rc-inetd is needed by fam-2.6.9-3
fam-libs = 2.6.9 is needed by fam-2.6.9-3
inetdaemon is needed by fam-2.6.9-3
libfam.so.0 is needed by (installed) gnome-vfs2-2.0.2-5
libfam.so.0 is needed by (installed) kde3-compat-2.2.2-7


What should I do?

Thank you,
AldebaranDanu

BTW, I apologize for the double post, but the title for this post makes more sense, and when I tried deleting the previous post (http://www.linuxquestions.org/questi...threadid=35199) it wouldn't let me... so could a moderator please take care of that for me?
 
Old 11-12-2002, 01:32 AM   #2
je_fro
Member
 
Registered: Nov 2002
Location: /texas/austin/home/desk
Distribution: Gentoo
Posts: 341

Rep: Reputation: 30
I think....

I think you need to remake, or redo, or something. Not upgrade.
 
Old 11-12-2002, 12:26 PM   #3
AldebaranDanu
LQ Newbie
 
Registered: Nov 2002
Distribution: Red Hat 8.0
Posts: 15

Original Poster
Rep: Reputation: 0
???

Could you be a little more specific please?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Rpm for those with FC3 and linuxant kernels needing ntfs snecklifter Linux - Wireless Networking 24 06-26-2005 06:39 PM
Suggestions requested on upgrading a stock RH rpm with a third-party rpm obarney Linux - Software 5 05-21-2003 06:07 PM
Upgrading with RPM te_conway Linux - Software 4 08-24-2001 03:09 AM
upgrading RPM Star Child Linux - Newbie 0 07-06-2001 01:14 PM
Upgrading the RPM goochable Linux - General 2 05-05-2001 01:36 PM


All times are GMT -5. The time now is 06:09 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration